Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class OrganismParser.Factory

    java.lang.Object
      org.biojava.bio.seq.io.OrganismParser.Factory

All Implemented Interfaces:
  Serializable, SequenceBuilderFactory

Enclosing class:
  OrganismParser

    public static class OrganismParser.Factory

extends Object
implements SequenceBuilderFactory, Serializable

Factory which wraps SequenceBuilders in an OrganismParser.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`OrganismParser.Factory(SequenceBuilderFactory delegateFactory, TaxonFactory taxonFactory, TaxonParser taxonParser, String sciNameKey, String commonNameKey, String ncbiTaxonKey)`

Method Summary
`SequenceBuilder` | `makeSequenceBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganismParser.Factory

    public OrganismParser.Factory(SequenceBuilderFactory delegateFactory,
                                  TaxonFactory taxonFactory,
                                  TaxonParser taxonParser,
                                  String sciNameKey,
                                  String commonNameKey,
                                  String ncbiTaxonKey)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD